POST
/payouts/createCreate payout
operationId: createPayoutV2
Creates a payout withdrawal with multiple methods and modes. Sandbox does not support payouts.
Required headers
merchant-tokenContent-TypeIdempotency-Key
Request body
Example variants
credit_cardcryptoopen_bankingfps
Responses
| 200 | Payout create response | |
| 400 | Payout create error response | |
| 401 | Payout error response | |
| 500 | Payout error response |
Example: credit_card payout
{
"merchant_id": "9e07802d51264b02b4b3ef09dfb94219",
"site_id": "1234",
"method": "credit_card",
"mode": "direct",
"amount": 50.00,
"currency": "EUR",
"merchantReference": "payout-2001",
"country": "NLD",
"notificationUrl": "https://example.com/payout-webhook",
"customer": {
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phone": "+31600000000"
},
"paymentDetails": {
"method": "credit_card",
"cardNum": "4111111111111111",
"cardHolder": "John Doe",
"cardExpireMonth": "12",
"cardExpireYear": "2030"
}
}Request body fields
Payout create request14 fields
| Field | Required | Type | Description | Example |
|---|---|---|---|---|
| merchant_id | required | string | ||
| method | required | enum | credit_card | open_banking | crypto | fps | |
| site_id | required | string | ||
| mode | required | enum | direct | hosted | |
| amount | required | number | ||
| currency | required | string | ||
| merchantReference | required | string | ||
| country | required | string | ||
| notificationUrl | required | string (uri) | ||
| customer | required | Payout customer object | ||
| successUrl | optional | string (uri) | ||
| pendingUrl | optional | string (uri) | ||
| failureUrl | optional | string (uri) | ||
| paymentDetails | optional | Payout payment details | Discriminated by method. |
Response body fields
200Payout create response5 fields
| Field | Required | Type | Description | Example |
|---|---|---|---|---|
| status | optional | enum | initiated | processing | succeeded | failed | |
| description | optional | string | ||
| timestamp | optional | string (date-time) | ||
| payoutId | optional | string | ||
| requestId | optional | string |
400Payout create error response6 fields
| Field | Required | Type | Description | Example |
|---|---|---|---|---|
| status | required | enum | failed | failed |
| description | required | string | Human readable error summary. | invalid request |
| errors | required | string[] | Field level validation errors. | [] |
| payoutId | optional | integer | Present only when the payout was created before the failure. | 123456 |
| reasonCode | required | string | Machine readable reason. | TRANSIENT_ERROR |
| errorCode | required | string | Numeric error code. | 42718 |
401500Payout error response5 fields
| Field | Required | Type | Description | Example |
|---|---|---|---|---|
| status | required | enum | failed | failed |
| description | required | string | Human readable error summary. | invalid request |
| errors | required | string[] | Field level validation errors. | [] |
| reasonCode | required | string | Machine readable reason. | INVALID_OR_EXPIRED_TOKEN |
| errorCode | required | string | Numeric error code. | 32201 |